package net.sf.j2s.hello;

public class J2SDog extends J2SPet {
	private String color;

	public J2SDog() {
		super();
	}

	public J2SDog(String name, int age) {
		super(name, age);
	}

	public J2SDog(String name) {
		super(name);
	}

	public String getColor() {
		return color;
	}

	public J2SDog(String name, int age, String color) {
		super(name, age);
		this.color = color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public String toString() {
		String str = super.toString();
		if (color != null && color.length() != 0) {
			str += getLeadingPronoun() + " has " + color + " furs. ";
		} else {
			str += getLeadingAdjective() + " fur color is not mentioned. ";
		}
		return str;
	}
	
}
