package net.sf.j2s.hello;

public class J2SUser extends SexSensible {
	private String name;

	private String email;

	private int age;

	public J2SUser() {
		super();
	}

	public J2SUser(String name) {
		super();
		this.name = name;
	}

	public J2SUser(String name, String email, int age, int sex) {
		super();
		this.name = name;
		this.email = email;
		this.age = age;
		this.setSex(sex);
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String toString() {
		String str = "This is user " + name + ", ";
		if (age > 0) {
			str += getPronoun() + " is " + age + " years old. ";
		} else {
			str += getAdjective() + " age is unkown. ";
		}
		str += getLeadingPronoun();
		if (email != null && email.length() != 0) {
			str += " has an email " + email + ".";
		} else {
			str += " has no email at this time.";
		}
		return str;
	}
}
