package net.sf.j2s.hello;

public class SimpleUser {
	public static int FEMALE = 2;

	public static int MALE = 1;

	private String name;

	private String password;

	private String email;

	private int age;

	private int sex;

	public SimpleUser() {
		super();
	}

	public SimpleUser(String name, String password) {
		super();
		this.name = name;
		this.password = password;
	}

	public SimpleUser(String name, String password, String email, int age, int sex) {
		super();
		this.name = name;
		this.password = password;
		this.email = email;
		this.age = age;
		this.sex = sex;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getSex() {
		return sex;
	}

	public void setSex(int sex) {
		this.sex = sex;
	}

	public String toString() {
		String str = "This is user " + name + ", ";
		if (age > 0) {
			if (sex == FEMALE) {
				str += "she";
			} else {
				str += "he";
			}
			str += " is " + age + " years old. ";
		} else {
			if (sex == FEMALE) {
				str += "her";
			} else {
				str += "his";
			}
			str += " age is unkown. ";
		}
		if (sex == FEMALE) {
			str += "She";
		} else {
			str += "He";
		}
		if (email != null && email.length() != 0) {
			str += " has an email " + email + ".";
		} else {
			str += " has no email at this time.";
		}
		return str;
	}
}
